- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSoLWriter Class Reference

Take an OSOption object and write a string that validates against the OSoL schema. More...

`#include <OSoLWriter.h>`

Collaboration diagram for OSoLWriter:

[legend]
List of all members.

## Public Member Functions
| OSoLWriter ()
| Default constructor.
| ~OSoLWriter ()
| Class destructor.
std::string | writeOSoL (OSOption *theosoption)
| create an osol string from an OSOption object
## Public Attributes
bool | m_bWriteBase64
| m_bWriteBase64 is set to true if we encode the linear constraint coefficients in base64 binary
bool | m_bWhiteSpace
| m_bWhiteSpace is set to true if we write white space in the file
std::string | m_sB64encoded
| m_sB64encoded is a string of data (start, colIdx, rowIdx, or values) from linear constraints coefficients encoded in base64 binary
## Private Attributes
const OSOption * | m_OSOption
| m_OSOption is an object in the class OSOption

## Detailed Description

Take an OSOption object and write a string that validates against the OSoL schema.

Definition at line 29 of file OSoLWriter.h.

## Constructor & Destructor Documentation

OSoLWriter::OSoLWriter | ( |  | ) |

Default constructor.

Definition at line 34 of file OSoLWriter.cpp.

References m_bWhiteSpace, and m_bWriteBase64.

OSoLWriter::~OSoLWriter | ( |  | ) |

Class destructor.

Definition at line 39 of file OSoLWriter.cpp.

## Member Function Documentation

std::string OSoLWriter::writeOSoL | ( | OSOption * | theosoption | ) |

create an osol string from an OSOption object

Parameters:

  | theosoption | is a pointer to an OSOption object

Returns:
  a string with the OSOption data that validates against the OSoL schema.

Put the <system> element

Put the <service> element

Put the <job> element

Put the <optimization> element

Definition at line 53 of file OSoLWriter.cpp.

References GeneralOption::contact, StorageCapacity::description, OtherOption::description, OSOption::general, GeneralOption::instanceLocation, GeneralOption::instanceName, GeneralOption::jobID, GeneralOption::license, InstanceLocationOption::locationType, m_OSOption, SystemOption::minDiskSpace, OtherOption::name, OtherOptions::numberOfOtherOptions, OSOption::optionHeader, os_dtoa_format(), OS_SCHEMA_VERSION, OtherOptions::other, GeneralOption::otherOptions, GeneralOption::password, GeneralOption::serviceName, GeneralOption::serviceURI, GeneralOption::solverToInvoke, OSOption::system, ContactOption::transportType, StorageCapacity::unit, GeneralOption::userName, StorageCapacity::value, OtherOption::value, ContactOption::value, InstanceLocationOption::value, and writeGeneralFileHeader().

Referenced by kill(), knock(), retrieve(), and send().

## Member Data Documentation

const OSOption* OSoLWriter::m_OSOption`[private]`

m_OSOption is an object in the class OSOption

Definition at line 34 of file OSoLWriter.h.

Referenced by writeOSoL().

bool OSoLWriter::m_bWriteBase64

m_bWriteBase64 is set to true if we encode the linear constraint coefficients in base64 binary

Definition at line 61 of file OSoLWriter.h.

Referenced by OSoLWriter().

bool OSoLWriter::m_bWhiteSpace

m_bWhiteSpace is set to true if we write white space in the file

Definition at line 65 of file OSoLWriter.h.

Referenced by OSoLWriter().

std::string OSoLWriter::m_sB64encoded

m_sB64encoded is a string of data (start, colIdx, rowIdx, or values) from linear constraints coefficients encoded in base64 binary

Definition at line 70 of file OSoLWriter.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSoLWriter.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSoLWriter.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSoLWriter.cpp